<?php
/**
 * Created by PhpStorm.
 * User: eater
 * Date: 4/2/16
 * Time: 5:33 PM
 */

namespace Eater\Glim\Handler\Register;


use Aura\Session\Segment;
use Eater\Glim\Handler\Main;

class Show extends Main
{
    public function handle()
    {
        /** @var Segment $segment */
        $segment = $this->get('session')->getSegment('main');

        return $this->render('register.html.twig', [
            'error' => $segment->getFlash('error'),
            'username' => $segment->getFlash('username'),
            'invite' => $segment->getFlash('invite'),
            'email' => $segment->getFlash('email')
        ]);
    }
}